/* data for a circuit window pair - edge, number of i/o and gates (weighted sum)
*/
class CWinEdge : public Heapable {
private:
	CWin *cwinA, *cwinB;
public:
	CWinEdge(CWin *, CWin *);
	CWin *getCWinA() const;
	CWin *getCWinB() const;
	CWin *adr(const CWin *) const; // to the second one
	void setEval(const Params &, const TrieStor<int> &primOuts, TrieStor<CWin *> &neighbors,
		TrieStor<int> &workIns, TrieStor<int> &workOuts, TrieStor<int> &workIsect);
};
