#include "rusinluk_dip_incl.h"

RWork::RWork() {
	setInvalid();
}

void RWork::setInvalid() {
	cwinI = NO_INDEX;
}

void RWork::setEval() {
	methodI = NO_INDEX;
}

bool RWork::isValid() const {
	return (cwinI != NO_INDEX);
}

bool RWork::isEval() const {
	return (methodI == NO_INDEX);
}

string RWork::getStr() const {
	if (!isValid()) {
		return "(no work)";
	}
	return "(" + toString(cwinI) + ", " + (!isEval() ? toString(methodI) : "eval") + ")";
}
